## python-apt 1.9.7

=== debian/changelog ===
python-apt (1.9.7) experimental; urgency=medium

  * debian/tests/run-tests: Use py{3,}versions -s, not py{,3}versions -r;
    fixes regression in autopkgtest due to stderr output.

 -- Julian Andres Klode <jak@debian.org>  Sat, 22 Feb 2020 17:51:04 +0100

python-apt (1.9.6) experimental; urgency=medium

  [ dann frazier ]
  * Drop remaining references to pep8

  [ Dan Streetman ]
  * when comparing SourceEntries, rstrip '/' from uris

  [ Julian Andres Klode ]
  * gitlab-ci: pull from focal
  * Use debhelper-compat (= 12) instead of debian/compat 9
  * Use pybuild for building
  * gitlab-ci.yml: Publish html doc build by package, do not rebuild
  * Correctly install dbg variants of modules for python 3.8
  * gitlab-ci: Add daily built apt PPA
  * Switch from removed Summation classes to Hashes class
  * policy: Add set_priority(PackageFile, int)
  * policy: If no candidate version could be found, return None.
    This used to return an invalid Version object, pointing to 0,
    leading to crashes.

  [ Dan Ryan ]
  * Add conditional import guards in `setup.py`
  * Migrate build and install to `setuptools`
  * Remove -Wstrict-prototypes compiler flag

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Feb 2020 17:45:55 +0100

python-apt (1.9.5) experimental; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY REGRESSION: crash with ubuntu-release-upgrader (LP: #1860606)
    - apt/cache.py: make allow_unauthenticated argument to
      fetch_archives() optional.

  [ Julian Andres Klode ]
  * Really bump aptdaemon break (to 1.1.1+bzr982-0ubuntu31)

 -- Julian Andres Klode <jak@debian.org>  Thu, 23 Jan 2020 10:55:46 +0100

python-apt (1.9.4) experimental; urgency=medium

  * SECURITY UPDATE: Check that repository is trusted before downloading
    files from it (LP: #1858973)
    - apt/cache.py: Add checks to fetch_archives() and commit()
    - apt/package.py: Add checks to fetch_binary() and fetch_source()
    - CVE-2019-15796
  * To work around the new checks, the parameter allow_unauthenticated=True
    can be passed to the functions. It defaults to the value of the
    APT::Get::AllowUnauthenticated option.
    - Bump Breaks aptdaemon (<< 1.1.1+bzr982-0ubuntu21.2), as it will have
      to set that parameter after having done validation.
  * Revert "apt.Cache: cache apt.package.Origin objects by id"
  * InstallProgress: Move set_inheritable into if pid == 0

 -- Julian Andres Klode <jak@debian.org>  Wed, 15 Jan 2020 16:46:29 +0100

python-apt (1.9.3) experimental; urgency=medium

  [ Dave Jones ]
  * aptsources: Fix comment handling in add (regression from 1.9.1)

 -- Julian Andres Klode <jak@debian.org>  Fri, 13 Dec 2019 18:42:26 +0100

python-apt (1.9.2) experimental; urgency=medium

  * SECURITY UPDATE: Check that we have trusted hashes when downloading
    in fetch_binary() / fetch_source() (1.9.1 regression) (Closes: #946597)

 -- Julian Andres Klode <jak@debian.org>  Thu, 12 Dec 2019 18:27:02 +0100

python-apt (1.9.1) experimental; urgency=medium

  [ Julian Andres Klode ]
  * Install type information according to PEP561
  * Temporarily perform CI on eoan only
  * Adjust to mypy 0.710
  * doc/examples: Convert to Python 3
  * Convert all shebangs to python3
  * gitlab-ci: Run 3 separate test stages
  * pep8: Fix overindent issues
  * ./doc/examples/dependant-pkgs.py: Make it work again
  * Fix segmentation fault for apt_pkg.Cache.policy
  * test_policy: Fix pyflakes issue
  * apt.Cache: cache apt.package.Origin objects by id
  * Adjust for PY_SSIZE_T_CLEAN (Closes: #944091)
  * Turn InstallProgress into a context manager to avoid leaking files
  * AcquireFile: Remove md5 parameter
  * AcquireFile: Accept HashStringList in hash parameter
  * apt/package.py: Use all hashes when fetching packages
  * Remove leftover MD5 use in Version.fetch_binary() (Closes: #944696)
  * Fix type hints
  * typehinting: Override TagSection.get()
  * debian/control: Rules-Requires-Root: no, Standards-Version upgrade
  * Update po template
  * Fix pre-build script to actually work in Python 3
  * Run the pre-build script
  * lintian fixes
    - fix typo in changelog error
    - remove use of extra priority
    - override uses-dpkg-database-directly for the root location switching magic
  * Remove spurious python-debian test dependency (see bug #937579)
  * Build-Depend on pycodestyle, not pep8

  [ Raphaël Hertzog ]
  * Add Kali templates

  [ Colomban Wendling ]
  * Fix InstallProgress for installing .deb files on Python >= 3.4
  * Add a test case for checking the communication with dpkg works

  [ Michael Vogt ]
  * apt, python: make `mypy --strict` clean

  [ Matthias Klose ]
  * data/templates/Ubuntu.info.in: Add focal

  [ Dave Jones ]
  * Don't duplicate disabled sources during add() (LP: #1311056)

 -- Julian Andres Klode <jak@debian.org>  Wed, 11 Dec 2019 16:17:24 +0100

python-apt (1.8.5) unstable; urgency=medium

  * SECURITY UPDATE: Check that repository is trusted before downloading
    files from it (LP: #1858973)
    - apt/cache.py: Add checks to fetch_archives() and commit()
    - apt/package.py: Add checks to fetch_binary() and fetch_source()
    - CVE-2019-15796
  * SECURITY UPDATE: Do not use MD5 for verifying downloadeds
    (Closes: #944696) (#LP: #1858972)
    - apt/package.py: Use all hashes when fetching packages, and
      check that we have trusted hashes when downloading
    - CVE-2019-15795
  * To work around the new checks, the parameter allow_unauthenticated=True
    can be passed to the functions. It defaults to the value of the
    APT::Get::AllowUnauthenticated option.
    - Bump Breaks aptdaemon (<< 1.1.1+bzr982-0ubuntu21.2), as it will have
      to set that parameter after having done validation.
  * Automatic changes and fixes for external regressions:
    - Adjustments to test suite and CI to fix CI regressions
    - Automatic mirror list update
    - d/tests/control: Add "Restrictions: allow-stderr" (Closes: #947794)



=== debian/control ===
Source: python-apt
Section: python
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.4.1
Build-Depends: apt (>= 1.0.9.4),
               apt-utils,
               debhelper-compat (= 12),
               dh-python,
               fakeroot,
               libapt-pkg-dev (>= 1.9.10~),
               python-all-dev (>= 2.7),
               python-all-dbg,
               python-setuptools,
               python3-all-dev (>= 3.3),
               python3-all-dbg (>= 3.3),
               python3-distutils,
               python3-distutils-extra (>= 2.0),
               python3-setuptools,
               python3-sphinx (>= 0.5),
               gnupg,
               dirmngr | gnupg (<< 2),
               pycodestyle,
               pyflakes
Vcs-Git: https://salsa.debian.org/apt-team/python-apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/python-apt

Package: python-apt
Architecture: any
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common,
         gnupg, dirmngr | gnupg (<< 2),
Recommends: lsb-release, iso-codes, xz-utils
Breaks: packagekit-backend-apt (<= 0.4.8-0ubuntu4),
        computer-janitor (<< 1.14.1-1+),
        debdelta (<< 0.41+),
        python-dogtail (<< 0.6.1-3.1+),
        python-software-properties (<< 0.70.debian-1+),
        aptdaemon (<< 1.1.1+bzr982-0ubuntu31),
        apt-forktracer (<< 0.3),
        apt-listchanges (<< 2.85),
        aptoncd (<< 0.1.98+bzr117),
        apt-p2p (<< 0.1.6),
        apt-xapian-index (<< 0.25),
        bcfg2 (<< 1.0.1),
        bzr-builddeb (<< 2.4),
        debpartial-mirror (<< 0.2.98),
        debsecan (<< 0.4.15),
        gdebi (<< 0.6.1),
        germinate (<< 1.21),
        gnome-codec-install (<< 0.4.5),
        mini-dinstall (<< 0.6.28),
        python-cdd (<< 0.0.10),
        rebuildd (<< 0.3.9),
        software-center (<< 1.1.21debian2),
        tla-buildpackage (<< 0.9.14),
        ubuntu-dev-tools (<< 0.93debian1),
        unattended-upgrades (<< 0.42debian2),
        update-manager (<< 0.200.2-1),
        update-notifier (<< 0.99.3debian9),
        wajig (<< 2.0.46)
Provides: ${python:Provides}
Suggests: python-apt-dbg, python-apt-doc, apt
Description: Python interface to libapt-pkg
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure
 .
 The included 'aptsources' Python interface provides an abstraction of
 the sources.list configuration on the repository and the distro level.

Package: python-apt-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${sphinxdoc:Depends}
Enhances: python-apt
Replaces: python-apt (<< 0.7.94)
Description: Python interface to libapt-pkg (API documentation)
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains the API documentation of python-apt.

Package: python-apt-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: ${python:Depends}, python-apt (= ${binary:Version}), ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to libapt-pkg (debug extension)
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-apt-dev
Architecture: all
Depends: python-apt (>= ${source:Version}), libapt-pkg-dev (>= 0.7.10),
         ${misc:Depends}
Recommends: python-dev
Description: Python interface to libapt-pkg (development files)
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains the header files needed to use python-apt objects from
 C++ applications.

Package: python-apt-common
Architecture: all
Depends: ${misc:Depends}
Enhances: python-apt, python3-apt
Breaks: python-apt (<< 0.7.98+nmu1)
Replaces: python-apt (<< 0.7.98+nmu1)
Description: Python interface to libapt-pkg (locales)
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains locales.

Package: python3-apt
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
Recommends: lsb-release, iso-codes
Provides: ${python3:Provides}
Suggests: python3-apt-dbg, python-apt-doc, apt
Breaks: python-apt (<< 0.7.98+nmu1)
Replaces: python-apt (<< 0.7.98+nmu1)
Description: Python 3 interface to libapt-pkg
 The apt_pkg Python 3 interface will provide full access to the internal
 libapt-pkg structures allowing Python 3 programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure
 .
 The included 'aptsources' Python interface provides an abstraction of
 the sources.list configuration on the repository and the distro level.

Package: python3-apt-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Breaks: python-apt (<< 0.7.98+nmu1)
Replaces: python-apt (<< 0.7.98+nmu1)
Depends: ${python3:Depends}, python3-apt (= ${binary:Version}), ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 interface to libapt-pkg (debug extension)
 The apt_pkg Python 3 interface will provide full access to the internal
 libapt-pkg structures allowing Python 3 programs to easily perform a
 variety of functions.
 .
 This package contains the extension built for the Python debug interpreter.

## python-apt 1.9.8

=== debian/changelog ===
python-apt (1.9.8) experimental; urgency=medium

  * Fix build against apt 1.9.11 (Index -> MapPointer)

 -- Julian Andres Klode <jak@debian.org>  Wed, 26 Feb 2020 21:32:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 12),
                dh-python,
                fakeroot,
-               libapt-pkg-dev (>= 1.9.10~),
+               libapt-pkg-dev (>= 1.9.11~),
                python-all-dev (>= 2.7),
                python-all-dbg,
                python-setuptools,

## python-apt 2.0.0

=== debian/changelog ===
python-apt (2.0.0) unstable; urgency=medium

  [ Valters Jansons ]
  * aptsources: Allow non-existent `source.list` file

  [ Julian Andres Klode ]
  * Workaround mypy 0.770
  * whatsnew: Move 1.9 development series to 2.0
  * Update mirror lists
  * Add redundant python{,3}-all build depends for lintian

  [ Simon Poirier ]
  * Decode locale-encoded descriptions.

 -- Julian Andres Klode <jak@debian.org>  Thu, 09 Apr 2020 09:16:18 +0200

python-apt (1.9.10) unstable; urgency=medium

  * Improve type annotations for apt_pkg.TagFile and apt_pkg.TagSection.
    Thanks to Stuart Prescott for the report that object was ... wrong
  * Break broken kthresher and apt-xapian-index versions

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Mar 2020 15:16:44 +0100

python-apt (1.9.9) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Upload to unstable

  [ Dan Streetman ]
  * distinfo: correct subprocess usage
  * sourceslist: in __find() rstrip / from uri when comparing
  * test: add test to verify identical entries except trailing slash are considered equal

 -- Julian Andres Klode <jak@debian.org>  Sat, 07 Mar 2020 21:26:04 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,11 @@
                dh-python,
                fakeroot,
                libapt-pkg-dev (>= 1.9.11~),
+               python-all (>= 2.7),
                python-all-dev (>= 2.7),
                python-all-dbg,
                python-setuptools,
+               python3-all (>= 3.3),
                python3-all-dev (>= 3.3),
                python3-all-dbg (>= 3.3),
                python3-distutils,
@@ -136,7 +138,9 @@
 Recommends: lsb-release, iso-codes
 Provides: ${python3:Provides}
 Suggests: python3-apt-dbg, python-apt-doc, apt
-Breaks: python-apt (<< 0.7.98+nmu1)
+Breaks: python-apt (<< 0.7.98+nmu1),
+        apt-xapian-index (<< 0.51~),
+        kthresher (<= 1.4.0-1)
 Replaces: python-apt (<< 0.7.98+nmu1)
 Description: Python 3 interface to libapt-pkg
  The apt_pkg Python 3 interface will provide full access to the internal

=== debian/tests/control ===
Tests: run-tests
Depends: @, apt-utils, python-all, python3-all, fakeroot, intltool, pycodestyle, pyflakes, gnupg, dirmngr | gnupg (<< 2)

## python-apt 2.0.0ubuntu0.20.04.2

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.2) focal-security; urgency=high

  * SECURITY UPDATE: various memory and file descriptor leaks (LP: #1899193)
    - python/arfile.cc, python/generic.h, python/tag.cc, python/tarfile.cc:
      fix file descriptor and memory leaks
    - python/apt_instmodule.cc, python/apt_instmodule.h, python/arfile.h:
      Avoid reference cycle with control,data members in apt_inst.DebFile
      objects
    - tests/test_cve_2020_27351.py: Test cases for DebFile (others not easily
      testable)
    - CVE-2020-27351
  * .gitlab-ci.yml: Fix mypy version for CI
  * data/templates: Update mirror lists

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 01 Dec 2020 17:15:01 +0100

python-apt (2.0.0ubuntu0.20.04.1) focal; urgency=medium

  * Update mirror lists.

 -- Brian Murray <brian@ubuntu.com>  Thu, 23 Jul 2020 10:43:44 -0700

## python-apt 2.0.0ubuntu0.20.04.2+10.0trisquel3

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.2+10.0trisquel3) nabia-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 12 Dec 2020 01:35:57 +0000

## python-apt 2.0.0ubuntu0.20.04.3

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.3) focal-security; urgency=medium

  * REGRESSION UPDATE: Passing a file descriptor to apt_inst.ArFile or
    apt_inst.DebFile caused a segmentation fault (LP: #1907676)
    - python/arfile.cc: Fix segmentation fault when opening fd, track
      lifetime correctly

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Dec 2020 09:46:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-apt
 Section: python
 Priority: optional
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.4.1

=== debian/rules ===
#!/usr/bin/make -f
# Should be include-links, but that somehow fails.
export DEBVER=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
export DATETIME:=$(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')
export DATE_CMD:=env TZ=UTC LC_ALL=C.UTF-8 date
export DATE:=$(shell $(DATE_CMD) --date="$(DATETIME)" "+%b %_d %Y")
export TIME:=$(shell $(DATE_CMD) --date="$(DATETIME)" "+%H:%M:%S")
export DEB_CFLAGS_MAINT_APPEND=-Wno-write-strings \
                               -DDATE=\""$(DATE)"\" \
                               -DTIME=\""$(TIME)"\"
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

BUILDDIR3 := $(shell pybuild --print build_dir --interpreter python3)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(BUILDDIR3) python3 setup.py build_sphinx

override_dh_install:
	dh_movefiles
	dh_install

override_dh_installdocs:
	dh_installdirs -ppython-apt-dev usr/share/doc/python-apt
	dh_installdocs -p python-apt -p python-apt-dbg --link-doc=python-apt
	dh_installdocs -p python3-apt -p python3-apt-dbg --link-doc=python3-apt
	dh_installdocs --remaining-packages

override_dh_strip:
	dh_strip -p python-apt --dbg-package=python-apt-dbg
	dh_strip -p python3-apt --dbg-package=python3-apt-dbg
	
override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

# We ignore failures on hurd, since its locking is broken
override_dh_auto_test: export PYBUILD_SYSTEM=custom
override_dh_auto_test: export PYBUILD_TEST_ARGS=env PYTHONPATH={build_dir} {interpreter} tests/test_all.py
override_dh_auto_test:
	dh_auto_test || [ "$(DEB_BUILD_ARCH_OS)" = "hurd" ];

override_dh_python2:
	dh_python2 -N python-apt-common

## python-apt 2.0.0ubuntu0.20.04.3+10.0trisquel3

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.3+10.0trisquel3) nabia-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 22 Jan 2021 19:56:02 +0000

## python-apt 2.0.0ubuntu0.20.04.4

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.4) focal; urgency=medium

  * Update mirror lists 

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 21 Jan 2021 16:17:20 +0100

## python-apt 2.0.0ubuntu0.20.04.5

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.5) focal; urgency=medium

  * debfile: Pass `Name` instead of `Binary` to ExtractTar.
    Passing the binary causes it to fail trying to find the `false`
    compressor when a binary for a given compressor is not installed.
    (LP: #1926437)
  * Update mirror lists

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Apr 2021 16:12:21 +0200

## python-apt 2.0.0ubuntu0.20.04.6+10.0trisquel3

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.6+10.0trisquel3) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Sep 2021 12:36:52 +0000

python-apt (2.0.0ubuntu0.20.04.6) focal; urgency=medium

  * Update mirror lists

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 Aug 2021 13:09:02 -0700

## python-apt 2.0.0ubuntu0.20.04.7+10.0trisquel3

=== debian/changelog ===
python-apt (2.0.0ubuntu0.20.04.7+10.0trisquel3) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 14 Feb 2022 12:36:57 +0000

python-apt (2.0.0ubuntu0.20.04.7) focal; urgency=medium

  * Modify the url used to obtain the list of debian mirrors as otherwise the
    tool for updating the debian list of mirrors will fail.
  * Update mirror lists for Ubuntu and Debian.

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Feb 2022 11:50:19 -0800

## python-apt 2.0.1ubuntu0.20.04.1

=== debian/changelog ===
python-apt (2.0.1ubuntu0.20.04.1) focal; urgency=medium

  * Update mirror lists for Ubuntu and Debian

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 Mar 2023 12:07:38 +0000

python-apt (2.0.1) focal; urgency=medium

  * We're back to a proper upstream release with CI and all
  * AcquireFile: Handle large files (LP: #1998265)
  * Update mirror list
  * debian/gbp.conf: Point at 2.0.y branch
  * d/t/control: Add missing binutils test dependency

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 01 Dec 2022 13:33:42 +0100

python-apt (2.0.0ubuntu0.20.04.8) focal; urgency=medium

  * Update mirror lists for Ubuntu and Debian

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Aug 2022 12:51:00 +0000

=== debian/tests/control ===
Tests: run-tests
Depends: @, apt-utils, binutils, python-all, python3-all, fakeroot, intltool, pycodestyle, pyflakes, gnupg, dirmngr | gnupg (<< 2)

## python-apt 2.0.1ubuntu0.20.04.1+esm1

=== debian/changelog ===
python-apt (2.0.1ubuntu0.20.04.1+esm1) focal-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference (LP: #2091865)
    - python/tag.cc: check for NULL pointer before dereferencing
    - CVE-2025-6966

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Fri, 05 Dec 2025 22:50:13 +0530

## python-apt 2.0.1ubuntu0.20.04.2esm2

=== debian/changelog ===
python-apt (2.0.1ubuntu0.20.04.2esm2) focal-security; urgency=medium

  * SECURITY REGRESSION: PEP 440 incompatible version string (LP: #2137070)
    - Fix version to be compatible with PEP 440

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Wed, 14 Jan 2026 11:20:20 +0530

## python-apt 2.0.1+10.0trisquel9

=== debian/changelog ===
python-apt (2.0.1+10.0trisquel9) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 05 Feb 2025 00:33:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-apt
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.4.1

## python-apt 2.1.3ubuntu1

=== debian/changelog ===
python-apt (2.1.3ubuntu1) groovy; urgency=medium

  * Cherrypick pr#51 to fix FTBFS with new sphinx.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 30 Sep 2020 11:55:25 +0100

python-apt (2.1.3) unstable; urgency=medium

  * data/templates/Ubuntu.info.in: Add groovy (LP: #1874880)

 -- Julian Andres Klode <jak@debian.org>  Sat, 25 Apr 2020 13:05:50 +0200

python-apt (2.1.2) unstable; urgency=medium

  * Use pybuild to split out -dbg stuff, avoid .install/.files (Closes: #958118)
  * Remove Python 2 and old pyflakes hacks

 -- Julian Andres Klode <jak@debian.org>  Mon, 20 Apr 2020 18:16:28 +0200

python-apt (2.1.1) unstable; urgency=medium

  * Make python-apt-dev depend on python3-apt, not python-apt

 -- Julian Andres Klode <jak@debian.org>  Thu, 16 Apr 2020 09:54:42 +0200

python-apt (2.1.0) unstable; urgency=medium

  [ Gordon Ball ]
  * Use pyflakes3 instead of (python 2) pyflakes

  [ Julian Andres Klode ]
  * Stop building for Python 2 (Closes: #937579)
  * Remove Python 2 autopkgtests

 -- Julian Andres Klode <jak@debian.org>  Thu, 16 Apr 2020 09:46:49 +0200

=== debian/control ===
Source: python-apt
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.4.1
Build-Depends: apt (>= 1.0.9.4),
               apt-utils,
               debhelper-compat (= 12),
               dh-python,
               fakeroot,
               libapt-pkg-dev (>= 1.9.11~),
               python3-all (>= 3.3),
               python3-all-dev (>= 3.3),
               python3-all-dbg (>= 3.3),
               python3-distutils,
               python3-distutils-extra (>= 2.0),
               python3-setuptools,
               python3-sphinx (>= 0.5),
               gnupg,
               dirmngr | gnupg (<< 2),
               pycodestyle,
               pyflakes3
Vcs-Git: https://salsa.debian.org/apt-team/python-apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/python-apt

Package: python-apt-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${sphinxdoc:Depends}
Enhances: python-apt
Replaces: python-apt (<< 0.7.94)
Description: Python interface to libapt-pkg (API documentation)
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains the API documentation of python-apt.

Package: python-apt-dev
Architecture: all
Depends: python3-apt (>= ${source:Version}), libapt-pkg-dev (>= 0.7.10),
         ${misc:Depends}
Recommends: python3-dev
Description: Python interface to libapt-pkg (development files)
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains the header files needed to use python-apt objects from
 C++ applications.

Package: python-apt-common
Architecture: all
Depends: ${misc:Depends}
Enhances: python-apt, python3-apt
Breaks: python-apt (<< 0.7.98+nmu1)
Replaces: python-apt (<< 0.7.98+nmu1)
Description: Python interface to libapt-pkg (locales)
 The apt_pkg Python interface will provide full access to the internal
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains locales.

Package: python3-apt
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
Recommends: lsb-release, iso-codes
Provides: ${python3:Provides}
Suggests: python3-apt-dbg, python-apt-doc, apt
Breaks: python-apt (<< 0.7.98+nmu1),
        apt-xapian-index (<< 0.51~),
        kthresher (<= 1.4.0-1)
Replaces: python-apt (<< 0.7.98+nmu1)
Description: Python 3 interface to libapt-pkg
 The apt_pkg Python 3 interface will provide full access to the internal
 libapt-pkg structures allowing Python 3 programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure
 .
 The included 'aptsources' Python interface provides an abstraction of
 the sources.list configuration on the repository and the distro level.

Package: python3-apt-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Breaks: python-apt (<< 0.7.98+nmu1)
Replaces: python-apt (<< 0.7.98+nmu1)
Depends: ${python3:Depends}, python3-apt (= ${binary:Version}), ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 interface to libapt-pkg (debug extension)
 The apt_pkg Python 3 interface will provide full access to the internal
 libapt-pkg structures allowing Python 3 programs to easily perform a
 variety of functions.
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
--- 
+++ 
@@ -9,28 +9,35 @@
                                -DDATE=\""$(DATE)"\" \
                                -DTIME=\""$(TIME)"\"
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export PYBUILD_NAME=apt
 
 BUILDDIR3 := $(shell pybuild --print build_dir --interpreter python3)
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=$(BUILDDIR3) python3 setup.py build_sphinx
 
-override_dh_install:
-	dh_movefiles
-	dh_install
+# this is nasty. instead of installing the files to one dir, overriding
+# common ones, and then us picking out the files we want, we have to move some
+# files from python3-apt to python-apt-common and then delete it from other
+# packages.
+override_dh_auto_install:
+	dh_auto_install
+	mkdir -p debian/python-apt-common/usr/share/
+	mv debian/python3-apt/usr/share/locale debian/python-apt-common/usr/share/
+	mv debian/python3-apt/usr/share/python-apt debian/python-apt-common/usr/share/
+	rm -r debian/python3-*/usr/share/locale
+	rm -r debian/python3-*/usr/share/python-apt
+	rmdir debian/python3-*/usr/share
 
 override_dh_installdocs:
-	dh_installdirs -ppython-apt-dev usr/share/doc/python-apt
-	dh_installdocs -p python-apt -p python-apt-dbg --link-doc=python-apt
 	dh_installdocs -p python3-apt -p python3-apt-dbg --link-doc=python3-apt
 	dh_installdocs --remaining-packages
 
 override_dh_strip:
-	dh_strip -p python-apt --dbg-package=python-apt-dbg
 	dh_strip -p python3-apt --dbg-package=python3-apt-dbg
 	
 override_dh_compress:
@@ -41,6 +48,3 @@
 override_dh_auto_test: export PYBUILD_TEST_ARGS=env PYTHONPATH={build_dir} {interpreter} tests/test_all.py
 override_dh_auto_test:
 	dh_auto_test || [ "$(DEB_BUILD_ARCH_OS)" = "hurd" ];
-
-override_dh_python2:
-	dh_python2 -N python-apt-common

=== debian/tests/control ===
Tests: run-tests
Depends: @, apt-utils, python3-all, fakeroot, intltool, pycodestyle, pyflakes3, gnupg, dirmngr | gnupg (<< 2)

## python-apt 2.1.3ubuntu1.3

=== debian/changelog ===
python-apt (2.1.3ubuntu1.3) groovy-security; urgency=medium

  * REGRESSION UPDATE: Passing a file descriptor to apt_inst.ArFile or
    apt_inst.DebFile caused a segmentation fault (LP: #1907676)
    - python/arfile.cc: Fix segmentation fault when opening fd, track
      lifetime correctly

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Dec 2020 09:43:25 -0500

python-apt (2.1.3ubuntu1.2) groovy-security; urgency=medium

  * Fix regression in data/templates/Ubuntu.info.in versus the release
    pocket.  LP: #1907496.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Dec 2020 13:33:26 -0800

python-apt (2.1.3ubuntu1.1) groovy-security; urgency=high

  * SECURITY UPDATE: various memory and file descriptor leaks (LP: #1899193)
    - python/arfile.cc, python/generic.h, python/tag.cc, python/tarfile.cc:
      fix file descriptor and memory leaks
    - python/apt_instmodule.cc, python/apt_instmodule.h, python/arfile.h:
      Avoid reference cycle with control,data members in apt_inst.DebFile
      objects
    - tests/test_cve_2020_27351.py: Test cases for DebFile (others not easily
      testable)
    - CVE-2020-27351
  * .gitlab-ci.yml: Fix mypy and Ubuntu version for CI
  * data/templates: Update mirror lists

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 01 Dec 2020 20:25:56 +0100

## python-apt 2.1.3ubuntu1.4

=== debian/changelog ===
python-apt (2.1.3ubuntu1.4) groovy; urgency=medium

  * debfile: Pass `Name` instead of `Binary` to ExtractTar.
    Passing the binary causes it to fail trying to find the `false`
    compressor when a binary for a given compressor is not installed.
    (LP: #1926437)
  * Update mirror lists

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Apr 2021 15:31:59 +0200

## python-apt 2.1.7ubuntu2

=== debian/changelog ===
python-apt (2.1.7ubuntu2) hirsute; urgency=medium

  * Update mirror lists for release

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 19 Apr 2021 12:09:09 +0200

python-apt (2.1.7ubuntu1) hirsute; urgency=medium

  * Enable building with pie. That was disabled in 2016, but seems
    to build now.

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 31 Mar 2021 16:40:30 +0200

python-apt (2.1.7) unstable; urgency=medium

  * SECURITY UPDATE: various memory and file descriptor leaks (LP: #1899193)
    - python/arfile.cc, python/generic.h, python/tag.cc, python/tarfile.cc:
      fix file descriptor and memory leaks
    - python/apt_instmodule.cc, python/apt_instmodule.h, python/arfile.h:
      Avoid reference cycle with control,data members in apt_inst.DebFile
      objects
    - tests/test_cve_2020_27351.py: Test cases for DebFile (others not easily
      testable)
  * Regression fixes for the updates merged too:
    - arfile.cc: Fix segmentation fault when opening fd, track lifetime correctly
      (Closes: #977000)
    - arfile: Regression: Collect file<->deb/ar reference cycles

 -- Julian Andres Klode <jak@debian.org>  Thu, 10 Dec 2020 15:35:32 +0100

python-apt (2.1.6) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Rename Cdrom and Disc to Installation medium (LP: #1849406)
  * hashes: Release GIL while hashing stuff

  [ Niels Thykier ]
  * Correct error message in hashes.cc

 -- Julian Andres Klode <jak@debian.org>  Wed, 25 Nov 2020 12:47:37 +0100

python-apt (2.1.5) unstable; urgency=medium

  * Do not require hardcoding release names in distro info, cleanup Debian and Ubuntu
    (LP: #1727470)
  * Debian: use -security instead of /updates for >= 11

 -- Julian Andres Klode <jak@debian.org>  Tue, 27 Oct 2020 21:27:56 +0100

python-apt (2.1.4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1.9.9, 1.7.0~alpha1,
    1.1.0~alpha1, 0.9.4, 0.9.3.4.
  * Update standards version to 4.5.0, no changes needed.

  [ Dave Jones ]
  * Fix ftbfs with sphinx 3.x (Closes: #963655)

  [ Julian Andres Klode ]
  * Make pycodestyle happy
  * Pacify mypy 0.790 for NotImplemented returns
  * gitlab-ci: Pull debian:unstable, not ubuntu:focal

 -- Julian Andres Klode <jak@debian.org>  Thu, 15 Oct 2020 14:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: apt (>= 1.0.9.4),
                apt-utils,
                debhelper-compat (= 12),
                dh-python,
+               distro-info-data,
                fakeroot,
                libapt-pkg-dev (>= 1.9.11~),
                python3-all (>= 3.3),
@@ -68,7 +69,7 @@
 Package: python3-apt
 Architecture: any
 Multi-Arch: allowed
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common, distro-info-data
 Recommends: lsb-release, iso-codes
 Provides: ${python3:Provides}
 Suggests: python3-apt-dbg, python-apt-doc, apt
@@ -104,4 +105,3 @@
  variety of functions.
  .
  This package contains the extension built for the Python debug interpreter.
-

## python-apt 2.2.0~ubuntu0.21.04.1

=== debian/changelog ===
python-apt (2.2.0~ubuntu0.21.04.1) hirsute; urgency=medium

  * Upload to hirsute; changes since 2.1.7ubuntu2:
    - Annotate test dependencies with <!nocheck> (Closes: #980719)
    - Mirror list updates
    - debfile: Pass `Name` instead of `Binary` to ExtractTar.
      Passing the binary causes it to fail trying to find the `false`
      compressor when a binary for a given compressor is not installed.
      (LP: #1926437)
    - debian/gbp.conf: Branch name is main

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Apr 2021 15:20:13 +0200

python-apt (2.2.0) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate test dependencies with <!nocheck> (Closes: #980719)

  [ Julian Andres Klode ]
  * debian/rules: Re-enable PIE hardening
  * Mirror list updates
  * debfile: Pass `Name` instead of `Binary` to ExtractTar.
    Passing the binary causes it to fail trying to find the `false`
    compressor when a binary for a given compressor is not installed.
    (LP: #1926437)
  * debian/gbp.conf: Branch name is main

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Apr 2021 09:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Build-Depends: apt (>= 1.0.9.4),
-               apt-utils,
+               apt-utils <!nocheck>,
                debhelper-compat (= 12),
                dh-python,
-               distro-info-data,
+               distro-info-data <!nocheck>,
                fakeroot,
                libapt-pkg-dev (>= 1.9.11~),
                python3-all (>= 3.3),
@@ -20,10 +20,10 @@
                python3-distutils-extra (>= 2.0),
                python3-setuptools,
                python3-sphinx (>= 0.5),
-               gnupg,
-               dirmngr | gnupg (<< 2),
-               pycodestyle,
-               pyflakes3
+               gnupg <!nocheck>,
+               dirmngr <!nocheck> | gnupg (<< 2) <!nocheck>,
+               pycodestyle <!nocheck>,
+               pyflakes3 <!nocheck>,
 Vcs-Git: https://salsa.debian.org/apt-team/python-apt.git
 Vcs-Browser: https://salsa.debian.org/apt-team/python-apt

## python-apt 2.2.0

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-apt
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0

## python-apt 2.2.1

=== debian/changelog ===
python-apt (2.2.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints
    - python-apt-common: Add Multi-Arch: foreign (Closes: #968458)

  [ Julian Andres Klode ]
  * Updated mirror lists (and mirror list location for Debian)

 -- Julian Andres Klode <jak@debian.org>  Sun, 04 Jul 2021 13:57:51 +0200

=== debian/control ===
--- 
+++ 
@@ -58,6 +58,7 @@
 Enhances: python-apt, python3-apt
 Breaks: python-apt (<< 0.7.98+nmu1)
 Replaces: python-apt (<< 0.7.98+nmu1)
+Multi-Arch: foreign
 Description: Python interface to libapt-pkg (locales)
  The apt_pkg Python interface will provide full access to the internal
  libapt-pkg structures allowing Python programs to easily perform a

=== debian/tests/control ===
Tests: run-tests
Depends: @, apt-utils, python3-all, fakeroot, intltool, pycodestyle, pyflakes3, gnupg, dirmngr | gnupg (<< 2), distro-info-data

## python-apt 2.2.1pureos1

=== debian/changelog ===
python-apt (2.2.1pureos1) byzantium; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Add PureOS template and mirror lists

 -- Carsten Schoenert <carsten.schoenert@puri.sm>  Sat, 4 Nov 2021 19:11:45 +0100

python-apt (2.1.7pureos1) byzantium; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Add PureOS template and mirror lists

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Feb 2021 17:19:42 +0100

python-apt (2.1.3pureos1) byzantium; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Add PureOS template and mirror lists

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 05 Jul 2020 20:08:10 +0200

python-apt (1.8.4pureos3) amber; urgency=medium

  * Update amber version number
  * Add mirror at sonic.net to the list

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 26 Sep 2019 10:18:46 +0200

python-apt (1.8.4pureos2) amber; urgency=medium

  * Update green template for amber

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Mon, 02 Sep 2019 18:52:34 +0200

python-apt (1.8.4pureos1) green; urgency=medium

  * Re-add missing PureOS templates (PB: #711)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Thu, 02 May 2019 22:58:54 +0200

python-apt (1.8.1pureos1) green; urgency=medium

  [ Jonas Smedegaard ]
  * Fork for PureOS:
    + Set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer.
    + Drop uploaders (package is team-maintained for PureOS).
    + Replace Vcs-* fields.
    + Update git-buildpackage config:
      - Set branches.
      - Use purism/* namespace for release tags.
      - Avoid use pristine-tar.
      - Drop prebuild script.
      - Drop export-dir.
    + Add README.source.

  [ Matthias Klumpp ]
  * Add PureOS distribution information.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Jan 2019 15:06:24 +0100

## python-apt 2.2.1.1

=== debian/changelog ===
python-apt (2.2.1.1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix invalid nullptr dereference in TagSection.keys().
    (Fixes: CVE-2025-6966) (Closes: #1122291)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 15 Dec 2025 01:00:21 +0530

## python-apt 2.2.1.1pureos1

=== debian/changelog ===
python-apt (2.2.1.1pureos1) byzantium; urgency=medium

  * Sync with bullseye-security

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 14 Dec 2025 23:59:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-apt
 Section: python
 Priority: optional
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
@@ -23,8 +24,8 @@
                dirmngr <!nocheck> | gnupg (<< 2) <!nocheck>,
                pycodestyle <!nocheck>,
                pyflakes3 <!nocheck>,
-Vcs-Git: https://salsa.debian.org/apt-team/python-apt.git
-Vcs-Browser: https://salsa.debian.org/apt-team/python-apt
+Vcs-Git: https://source.puri.sm/pureos/core/python-apt.git
+Vcs-Browser: https://source.puri.sm/pureos/core/python-apt
 
 Package: python-apt-doc
 Architecture: all

## python-apt 2.3.0ubuntu2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

text:
	mkdir -p build/text build/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) build/text

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p build/json build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
python-apt (2.3.0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:44:59 +0000

python-apt (2.3.0ubuntu1) jammy; urgency=medium

  * Drop references to archive.canonical.com; we should no longer support
    configuring this as a repository in new releases.  LP: #1959343.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Jan 2022 14:46:53 -0800

python-apt (2.3.0) unstable; urgency=medium

  [ Edmund Blomley ]
  * Fix pages deploy job only statement.
  * Fix URL to python-apt Repository in Documentation.

  [ Julian Andres Klode ]
  * Python 3.10 fixes:
    - SourceRecordFiles: Set exception in __getitem__
      Fixes a regression with Python 3.10 in debug mode
    - test_all: Avoid using deprecated distutils package
    - test_tagfile: Avoid leaking file descriptor

 -- Julian Andres Klode <jak@debian.org>  Fri, 22 Oct 2021 12:21:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-apt
 Section: python
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
 Rules-Requires-Root: no
@@ -24,8 +24,8 @@
                dirmngr <!nocheck> | gnupg (<< 2) <!nocheck>,
                pycodestyle <!nocheck>,
                pyflakes3 <!nocheck>,
-Vcs-Git: https://source.puri.sm/pureos/core/python-apt.git
-Vcs-Browser: https://source.puri.sm/pureos/core/python-apt
+Vcs-Git: https://salsa.debian.org/apt-team/python-apt.git
+Vcs-Browser: https://salsa.debian.org/apt-team/python-apt
 
 Package: python-apt-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_CFLAGS_MAINT_APPEND=-Wno-write-strings \
                                -DDATE=\""$(DATE)"\" \
                                -DTIME=\""$(TIME)"\"
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_NAME=apt
 
 BUILDDIR3 := $(shell pybuild --print build_dir --interpreter python3)

## python-apt 2.3.0ubuntu2.1+pearl12

=== debian/changelog ===
python-apt (2.3.0ubuntu2.1+pearl12) bullseye; urgency=medium

  * Initial build for Pearl 12 bullseye

 --  <scottvandergrift@gmail.com>  Mon, 05 Sep 2022 22:38:01 -0500

python-apt (2.3.0ubuntu2.1) jammy; urgency=medium

  * Update mirror lists.

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Jul 2022 11:45:53 -0700
